
<?

		class up_file{
		//常量定义
		var $type="";//0:img 1:flash 2:vod 3:other
		var $up_filename="";  //要上传的文件件名
		var $put_filename=""; 
		var $file_url="";     //输出文件存贮位置.调用增加到数据库
		var $filename="";
		var $date_s="";     
		var $year="";         
		var $moth="";
		var $day="";
		
		
		var $img="../../file/img";         //上传源图片
		var $flash="../../file/flash";     
		var $vod="../../file/vod";
		var $other="../../file/other";     
		var $img_max="../../file/img/max"; //生成的大图片
		var $img_min="../../file/img/min"; //生成的小图片
		var $img_type="";                  //0:新闻图片 //1:强制产品/商城图片
		
		var $url="";
		var $temp_name="";                 
		var $img_max_w="";                 //大图片宽度
		var $img_max_h="";                 //大图片高度
		var $img_min_w="";                 //小图宽度
		var $img_min_h="";                 //小图高度
		
		function upload()
		{  
			$type=$this->type;
			$up_filename=$this->up_filename;
			$put_filename=$this->put_filename;
			$img=$this->img;
			$flash=$this->flash;
			$vod=$this->vod;
			$other=$this->other;	
			$filename=date("sYmdiG");
		    $date_s=date("Y-m-d");     
		    $year=date("Y");         
		    $moth=date("m");
		    $day=date("d");	
			
			//取扩展名
			$extend_name=$_FILES[$up_filename]['name'];
			if ($extend_name!==""){
			$extend_name=explode('.',$extend_name);
			$extend_name=$extend_name[(count($extend_name)-1)]; 
			$put_filename=$filename.".".$extend_name;

						
			if($type=="0"){
				if(!file_exists($img."/".$year))
	   				{
     					@mkdir($img."/".$year,0777);
	   				}
				if(!file_exists($img."/".$year."/".$moth))
	   				{
     					@mkdir($img."/".$year."/".$moth,0777);
	   				}
				if(!file_exists($img."/".$year."/".$moth."/".$day))
	   				{
     					@mkdir($img."/".$year."/".$moth."/".$day,0777);
	   				}
				$url=$img."/".$year."/".$moth."/".$day."/".$put_filename;
				$this->temp_name=$put_filename;
				
				
			}
			if($type=="1"){
				if(!file_exists($flash."/".$year))
	   				{
     					@mkdir($flash."/".$year,0777);
	   				}
				if(!file_exists($flash."/".$year."/".$moth))
	   				{
     					@mkdir($flash."/".$year."/".$moth,0777);
	   				}
				if(!file_exists($flash."/".$year."/".$moth."/".$day))
	   				{
     					@mkdir($flash."/".$year."/".$moth."/".$day,0777);
	   				}
				$url=$flash."/".$year."/".$moth."/".$day."/".$put_filename;
			}
			if($type=="2"){
				if(!file_exists($vod."/".$year))
	   				{
     					@mkdir($vod."/".$year,0777);
	   				}
				if(!file_exists($vod."/".$year."/".$moth))
	   				{
     					@mkdir($vod."/".$year."/".$moth,0777);
	   				}
				if(!file_exists($vod."/".$year."/".$moth."/".$day))
	   				{
     					@mkdir($vod."/".$year."/".$moth."/".$day,0777);
	   				}
				$url=$vod."/".$year."/".$moth."/".$day."/".$put_filename;
			}
			if($type=="3"){
				if(!file_exists($other."/".$year))
	   				{
     					@mkdir($other."/".$year,0777);
	   				}
				if(!file_exists($other."/".$year."/".$moth))
	   				{
     					@mkdir($other."/".$year."/".$moth,0777);
	   				}
				if(!file_exists($other."/".$year."/".$moth."/".$day))
	   				{
     					@mkdir($other."/".$year."/".$moth."/".$day,0777);
	   				}
				$url=$other."/".$year."/".$moth."/".$day."/".$put_filename;
			}
			//上传文件
			$move_file=$_FILES[$up_filename]['tmp_name'];
			$do_Upload=@move_uploaded_file($move_file, $url);
			$this->url=$url;
			$this->file_url=$year."/".$moth."/".$day."/".$put_filename;
			
				}
			
			}
			function resize_picture()
			{
				$url=$this->url;
				$img_max_w=$this->img_max_w;
				$img_max_h=$this->img_max_h;
				$img_min_w=$this->img_min_w;
				$img_min_h=$this->img_min_h;
				$img_max=$this->img_max;
				$img_min=$this->img_min;
				$temp_name=$this->temp_name;
				$img_type=$this->img_type;
				$year=date("Y");         
		        $moth=date("m");
		        $day=date("d");	
                if ($url!==""){
					$size = getimagesize($url); 
					if ($size[2]=="1"){ 
						$src = imagecreatefromgif($url);
					}
					if ($size[2]=="2"){ 
						$src = imagecreatefromjpeg($url);
					}
					if ($size[2]=="3"){ 
						$src = imagecreatefromjpeg($url);
					}
					if ($size[2]==""){ 
						return false;
					}
					//if ($img_type=="0"){
							//新闻最大限制图片处理方法
							if($size[0]>$img_max_w){
								$percentage=$size[0]/$img_max_w;
								$img_max_h=$size[1]/$percentage;
								$percentage_min=$size[0]/$img_min_h;
								$img_min_h=$size[1]/$percentage_min;
							}else
							{
								$img_max_h=$size[1];
								$img_max_w=$size[0];
								$percentage_min=$size[0]/$img_min_h;
								$img_min_h=$size[1]/$percentage_min;
							}
					//}

					$dst_max =imagecreatetruecolor($img_max_w,$img_max_h); //imagecreate老的php 4.0.6以上支持新的
					$dst_min =imagecreatetruecolor($img_min_w,$img_min_h);
					imagecopyresized($dst_max,$src,0,0,0,0,$img_max_w,$img_max_h,$size[0],$size[1]);
					imagecopyresized($dst_min,$src,0,0,0,0,$img_min_w,$img_min_h,$size[0],$size[1]);
						if(!file_exists($img_max."/".$year))
	   						{
     							@mkdir($img_max."/".$year,0777);
	   						}
						if(!file_exists($img_max."/".$year."/".$moth))
	   						{
     							@mkdir($img_max."/".$year."/".$moth,0777);
							}
						if(!file_exists($img_max."/".$year."/".$moth."/".$day))
	   						{
     							@mkdir($img_max."/".$year."/".$moth."/".$day,0777);
	   						}
							
						if(!file_exists($img_min."/".$year))
	   						{
     							@mkdir($img_min."/".$year,0777);
	   						}
						if(!file_exists($img_min."/".$year."/".$moth))
	   						{
     							@mkdir($img_min."/".$year."/".$moth,0777);
							}
						if(!file_exists($img_min."/".$year."/".$moth."/".$day))
	   						{
     							@mkdir($img_min."/".$year."/".$moth."/".$day,0777);
	   						}
					$out_max_pic=imagegif($dst_max,$img_max."/".$year."/".$moth."/".$day."/".$temp_name);
					$out_min_pic=imagegif($dst_min,$img_min."/".$year."/".$moth."/".$day."/".$temp_name);
				}
			}
			
		}
?>